Forum Discussion

jaryszek's avatar
jaryszek
Super User
1 year ago
Solved

REST APIs to upload pbix into specific folder

Hi Guys,

I am trying to publish report into specific folder using this rest api:
https://learn.microsoft.com/en-us/rest/api/power-bi/imports/post-import-in-group 

 

there is :

subfolderObjectId query
string (uuid)

The subfolder ID to import the file to subfolder.

so my code is:

# name getGroups
GET https://api.powerbi.com/v1.0/myorg/groups?$filter=name%20eq%20'{{groupName}}'
Authorization: Bearer {{$aadV2Token appOnly}}

@groupId = {{getGroups.response.body.$.value[0].id}}

POST https://api.powerbi.com/v1.0/myorg/groups/{{groupId}}/imports?datasetDisplayName={{fileDisplayName}}&nameConflict=CreateOrOverwrite&subfolderObjectId=12634
Authorization: Bearer {{$aadV2Token appOnly}}
Content-Type: multipart/form-data; boundary=MfnBoundry

--MfnBoundry
Content-Disposition: form-data; name="files"; filename="{{filename}}"
Content-Type: application/octet-stream

< ./{{filename}}
--MfnBoundry--

and is saying that:

{ "code": "ArgumentException", "message": "Invalid format for selected SubfolderObjectId:'12634'" }

why?

it seems that it is treting it as string...

https://app.powerbi.com/groups/2dfe441c-8be6-xxxx-yyyy-e2363bdfc737/list?experience=power-bi&subfolderId=12634

i tried to use this folder id from path but this is not working.

Why? 
Without sunfolderId is working.

Best,
Jacek